commit: 51860d5070eaec4895c3ceab805d349c6dc7a19a
Author: Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Tue Jul 8 17:19:10 2025 +0000
Commit: Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
CommitDate: Tue Jul 8 18:06:10 2025 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=51860d50
x11-misc/i3status-rust: add 0.34.0
Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>
x11-misc/i3status-rust/Manifest | 3 +
x11-misc/i3status-rust/i3status-rust-0.34.0.ebuild | 100 +++++++++++++++++++++
2 files changed, 103 insertions(+)
diff --git a/x11-misc/i3status-rust/Manifest b/x11-misc/i3status-rust/Manifest
index 368794925f..f02b6d02e2 100644
--- a/x11-misc/i3status-rust/Manifest
+++ b/x11-misc/i3status-rust/Manifest
@@ -123,6 +123,9 @@ DIST hyper-rustls-0.24.2.crate 30195 BLAKE2B
79d5c6512877c98f3040a6ed26027e5345d
DIST hyper-tls-0.5.0.crate 13257 BLAKE2B
50cbe4ca7c1862fd3fff192de070341dd32bfb9f108b516e1e261ec8da7c4f7972b7b66e3d45c1497733a913b0281bef706994270ec8bd03eba7368612127aa4
SHA512
45dc16cc9ce48706e0b3575dca35ba1b6b3084dda8c2cc489d126e1c4f0bb96a9b2baa860d09f68c5e0a48c2a69e3eaf62f4f0406fffc4efefcd79d26c82896e
DIST i3status-rust-0.33.2-man.1 146872 BLAKE2B
30cc8925555318e437340294dafb665bb2950c47fd46d4d11d37b0e165d5d258f44ee083c8547d2dcabf1c5a3d61a5c874697e7ec73023c7dcf1fbf66e40d6a5
SHA512
48d70895ef62c9aa7b189105705b3ebf385112d8be7d5a0a6e4031a96fe0ab6df2aad9b6e412e8b05bc7d1be45c512a11ec99368ca0e02717e71dd0cf060ed89
DIST i3status-rust-0.33.2.gh.tar.gz 455433 BLAKE2B
70b3b080b064a3af235e33092deff9b4a682f8d1b5169348a973953d58ae2c9d592d3252d41293fde3a65fcb7bc97b362bc79a37a4de3764cab3e8165e677063
SHA512
6df28c267f91e0654a2c0f8bcee6f0c131c7f6e8e9e3726e9f44dc80e3e1ce574bdeb957b62888f3c7f1be8027462a5b5b462ec3180326bf886d85a379d9900b
+DIST i3status-rust-0.34.0-crates.tar.xz 24456404 BLAKE2B
a2e1669aa54a6ed22aa0034e0a24e9e9271880a8d55d9739627676ffec471dabcab9e99db0102781c21c906dc3bc30257d123f259a224880e9f37a302bdb81f7
SHA512
f7d63cd7f5f8c6bc59483e7a3efd37a53a61d10c9d2059b3fee75df775af67f09edb443a276767c7937e79d3b8f429232c23a1828a6765f2c7e4090dcdfb79f4
+DIST i3status-rust-0.34.0-man.1 139854 BLAKE2B
0a73d9b89594011d7b03a632b43a3767242924bb8743cdd58e7ac6e93629af47458cc25c13a2b5888576ca52b62fbf59b676af7aaf7c38870c8a00a13186ac61
SHA512
ba440a8a20bb11f7705e1d717a2da769725dce68231e27541777c193807647d7d79f72722fb8c14b8c31f3733d3c9242e1145b9225205ebe3c6aed8e2680f103
+DIST i3status-rust-0.34.0.gh.tar.gz 462330 BLAKE2B
ff89f9f6db6021166a78bfd04d89ebf0ccf525916f0295f1b7dc25bc3a28502b54d8e2354dccf7d8512a0dcc71ce4a1f2a12d433b0b53111b595a7b9a0726cb0
SHA512
d8c840bbdce63718eceeca5b8cefa21accfee8f44cc095bbe57eb92b0f49ab73b1fdcc4a09cceebe0ec75f0beaab630d35205f5e0bc39686a3dc3eb0e2a6cf6b
DIST iana-time-zone-0.1.60.crate 27074 BLAKE2B
6f534056e220e2f721fc7c7f3ed24152eea7f07d1f4cb3609ca734ade32a2d6b18fd0164ed831170cdff192cbe48653b2c4eb0903fb6f157292b3b5bf47299bb
SHA512
5619b994d3277f56e65322a7903e4c5e03928a87bdb72831cbef88788aaf5573b8460abc0a4d5488c5df7052bb978531d973dd66002b0ec4a3af468928c9b722
DIST iana-time-zone-haiku-0.1.2.crate 7185 BLAKE2B
37fa14b589ff092377b9271c414d4e584c5a531f13f70ac48df26df3cc03353db635b4630ba192fc65b800cce11823e91b91f03dfad85e4bed55aa18398156cb
SHA512
448224ecafa935472ff6f0aab7cb71f9dabdbe71569c4b94fcc65baea925ef48841577687c9a31106a1826c2105e8dd73c748e9d27fd002648e5b0ce838af6b2
DIST icalendar-0.16.2.crate 53630 BLAKE2B
273eb0303ba3b3783db96d60aa7c3facddfeb822e64bad3b7643f7a1c7b0043b24b718fe22c242868162616d00763c752f20611977faead8d9d4fc785eb45932
SHA512
8d0d342daa34eddd3c29930c43a1cba517ac86242e606875f119996b44e149fd5cf0837a641bddac81acb0ddb119413610e90a313871297b584aa84d65bf1612
diff --git a/x11-misc/i3status-rust/i3status-rust-0.34.0.ebuild
b/x11-misc/i3status-rust/i3status-rust-0.34.0.ebuild
new file mode 100644
index 0000000000..92eab05206
--- /dev/null
+++ b/x11-misc/i3status-rust/i3status-rust-0.34.0.ebuild
@@ -0,0 +1,100 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+RUST_MIN_VER="1.85.0"
+LLVM_OPTIONAL=1
+LLVM_COMPAT=( {18..20} )
+
+inherit cargo llvm-r2 optfeature
+
+DESCRIPTION="A feature-rich and resource-friendly replacement for i3status,
written in Rust."
+HOMEPAGE="https://github.com/greshake/i3status-rust/"
+SRC_URI="${CARGO_CRATE_URIS}
+
https://github.com/greshake/i3status-rust/archive/refs/tags/v${PV}.tar.gz ->
${P}.gh.tar.gz
+ https://home.cit.tum.de/~salu/distfiles/${P}-crates.tar.xz
+ https://home.cit.tum.de/~salu/distfiles/${P}-man.1
+"
+
+LICENSE="GPL-3"
+# Dependent crate licenses
+LICENSE+="
+ 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD CC0-1.0
+ GPL-3+ ISC MIT MPL-2.0 MirOS Unicode-3.0 Unicode-DFS-2016
+"
+# ring crate
+LICENSE+=" openssl"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="notmuch pipewire pulseaudio"
+REQUIRED_USE="pipewire? ( ${LLVM_REQUIRED_USE} )"
+
+DEPEND="dev-libs/openssl:=
+ sys-apps/lm-sensors:=
+ notmuch? ( net-mail/notmuch:= )
+ pulseaudio? ( media-libs/libpulse )
+ pipewire? ( >=media-video/pipewire-0.3:= )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ pipewire? ( $(llvm_gen_dep 'llvm-core/clang:${LLVM_SLOT}') )
+"
+
+PATCHES="${FILESDIR}"/gitless-hash-and-date.patch
+
+QA_FLAGS_IGNORED="usr/bin/i3status-rs"
+
+pkg_setup() {
+ if use pipewire; then
+ llvm-r2_pkg_setup
+ fi
+ rust_pkg_setup
+}
+
+src_prepare() {
+ default
+ local COMMIT="db4db28eda9bbf8b7fc61ddad65a00207be9368b"
+ local DATE="2025-07-05"
+ sed -e "s/%COMMIT%/${COMMIT:0:9}/" -e "s/%DATE%/${DATE}/" \
+ -i build.rs || die
+}
+
+src_configure() {
+ local myfeatures=(
+ $(usev debug debug_borders)
+ $(usev notmuch)
+ $(usev pipewire)
+ icu_calendar
+ maildir
+ )
+ cargo_src_configure $(usex pulseaudio '' --no-default-features)
+}
+
+src_install() {
+ cargo_src_install
+ newman "${DISTDIR}"/${P}-man.1 i3status-rs.1
+ insinto /usr/share/i3status-rust
+ doins -r files/icons files/themes
+ dodoc NEWS.md CONTRIBUTING.md
+ docinto examples
+ dodoc examples/*.toml
+}
+
+pkg_postinst() {
+ optfeature_header "Configurable fonts for themes and icons:"
+ optfeature "themes using the Powerline arrow char"
media-fonts/powerline-symbols
+ optfeature "the awesome{5,6} icon set" media-fonts/fontawesome
+ optfeature_header "Status bar blocks with additional requirements:"
+ optfeature "ALSA volume support" media-sound/alsa-utils
+ optfeature "advanced/non-standard battery support" sys-power/apcupsd
sys-power/upower
+ optfeature "bluetooth support" net-wireless/bluez
+ optfeature "KDE Connect support" kde-misc/kdeconnect
+ optfeature "speedtest support" net-analyzer/speedtest-cli
+ # optfeature "VPN support" net-vpn/nordvpn # nordvpn overlay
+ elog "The music block supports all music players that implement the
MPRIS"
+ elog "interface. These include media-sound/rhythmbox, media-sound/mpv
and"
+ elog "www-client/firefox among others. MPRIS support may be built-in or"
+ elog "require additional plugins."
+}